# from suse  by fasthyun@magicn.com
# spec file for package qps (Version 1.9.9)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/ 
#

# neededforbuild  qt
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-Mesa XFree86-Mesa-devel XFree86-devel XFree86-libs autoconf automake binutils cracklib expat fontconfig fontconfig-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext libjpeg liblcms liblcms-devel libmng libmng-devel libpng libpng-devel libstdc++-devel libtool mesa mesaglut mesaglut-devel perl qt3 qt3-devel rpm update-desktop-files

Name:         qps
License:      GPL
Group:        System/Monitoring
Autoreqprov:  on
Version:      1.9.9
Release:      2
Source:       %{name}-%{version}.tar.gz
Source1:      %{name}.desktop
URL:          http://qps.kldp.net
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      Visual process status monitor

%description
qps is an X11 version of top or ps, with motif- or windows-like
interface.



Authors:
--------
    Mattias Engdegrd <f91-men@nada.kth.se>
    fasthyun@magicn.com
%prep
%setup -D -q

%build
qmake
make LDPATHS="-L$QTDIR/%_lib"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/bin/  $RPM_BUILD_ROOT/%{_mandir}/man1/
install -s qps $RPM_BUILD_ROOT/usr/bin/qps
install -m 644 qps.1 $RPM_BUILD_ROOT/%{_mandir}/man1/qps.1
#%suse_update_desktop_file -i %name System Monitor

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc CHANGES README_INSTALL
%doc %{_mandir}/*/*
/usr/bin/qps
#/usr/share/applications/qps.desktop

%changelog -n qps
* Sun Mar 13 2005 - fasthyun@magicn.com
- 1.9.9 release
* Wed Jan 19 2005 - fasthyun@magicn.com
- 1.9.8 initial release for fedora3
 