TEMPLATE	= app
LANGUAGE	= C++

#CONFIG	+= warn_off qt debug
CONFIG	+= warn_off qt release

HEADERS	+= qps.h \
	pstable.h \
	dialogs.h \
	fieldsel.h \
	scheddlg.h \
	prefs.h \
	infobar.h \
	htable.h \
	lookup.h \
	details.h \
	command.h \
	qttableview.h \
	trayicon.h

SOURCES	+= qps.cpp \
	pstable.cpp \
	proc.cpp \
	uidstr.cpp \
	ttystr.cpp \
	dialogs.cpp \
	checkmenu.cpp \
	infobar.cpp \
	fieldsel.cpp \
	crossbox.cpp \
	scheddlg.cpp \
	wchan.cpp \
	prefs.cpp \
	htable.cpp \
	lookup.cpp \
	details.cpp \
	command.cpp \
	qttableview.cpp \
	trayicon.cpp

#FORMS	= form1.ui
#IMAGES	= images/filenew images/fileopen images/filesave images/print \
#	images/undo images/redo images/editcut 	images/editcopy \
#	images/editpaste images/searchfind

QMAKE_CFLAGS_DEBUG+= -p
QMAKE_CXXFLAGS_DEBUG+= -p
QMAKE_LFLAGS_DEBUG+= -p

TARGET 	= qps
#FORMS	= qps.ui
#IMAGES	= logo.png

UI_DIR = .ui
MOC_DIR = .moc
OBJECTS_DIR = .obj

QMAKE_POST_LINK += strip -g qps

bin.path = /usr/bin
bin.files= qps
man.path = /usr/share/man/man1
man.files= qps.1

INSTALLS += bin man

#install -s qps /usr/bin/qps
#install -m 644 qps.1 /usr/share/man1/qps.1
